<div class="container">
    <h2>
        <span> Buat BBM Baru</span>
    </h2>
    <div class="ui-g-12">
        <div class="ui-g-6">
            <div class="ui-g-4">
                <button type="button" label="cari" class="btn btn-danger btn-block" (click)="cariPO()">
                    <span>Cari Nomor PO</span>
                </button>
            </div>
            <div class="ui-g-12">
                <label>Nomor PO</label>
                <input type="text" class="form-control" [(ngModel)]="nopo" id="nopo" name="nopo" readonly>
            </div>
            <div class="ui-g-12">
                <label>Kode Supplier</label>
                <input type="text" class="form-control" [(ngModel)]="kdspl" id="kpspl" name="kdspl" readonly>
                <label>Nama Supplier</label>
                <input type="text" class="form-control" [(ngModel)]="nmspl" id="nmspl" name="nmspl" readonly>
            </div>
            <div class="ui-g-12">
                <div class="ui-g-12">
                    <label>Nomor Surat Jalan</label>
                    <input type="text" class="form-control" [(ngModel)]="nosj" id="nosj" name="nosj" autocomplete="off">
                </div>
                <div class="ui-g-12">
                    <div class="ui-g-12">
                        <label>Tanggal Surat Jalan</label>
                    </div>
                    <div class="ui-g-12">
                        <p-calendar inputId="field_dtsj" name="input_dtsj" [(ngModel)]="dtsj" dateFormat="dd-MM-yy"
                            [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999" appendTo="body"
                            autocomplete="off">
                        </p-calendar>
                    </div>
                </div>
            </div>
        </div>
        <div class="ui-g-6">
            <form name="formItem" style="height: 450px; overflow: scroll;">
                <div class="modal-body">
                    <p-dataTable [value]="purchasingItems" [responsive]="true" [lazy]="true" dataKey="idpurchasingitem"
                        expandableRows="false" (onLazyLoad)="loadDataLazy($event)" sortMode="multiple"
                        [(selection)]="selectedItems" selectionMode="single" (onRowSelect)="onRowSelect($event)">
                        <p-header>
                        </p-header>
                        <p-column selectionMode="multiple" [style]="{'width':'38px'}"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC']">
                        </p-column>
                        <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                                {{rowIndex + 1}}
                            </ng-template>
                        </p-column>
                        <p-column header="Kode Barang">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.productcode}}
                            </ng-template>
                        </p-column>
                        <p-column header="Nama Barang">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.productname}}
                            </ng-template>
                        </p-column>
                        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                        </ng-template>
                    </p-dataTable>
                </div>
            </form>
        </div>
    </div>
    <div class="ui-g-12">
        <div style="margin-bottom: 100px;">
            <p-dataTable [value]="detailBBMs" [editable]="true">
                <p-column header="Kode Barang">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.kd_bahan}}
                    </ng-template>
                </p-column>
                <p-column header="Nama Barang">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.nm_bahan}}
                    </ng-template>
                </p-column>
                <p-column header="QTY Minta">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qty}}
                    </ng-template>
                </p-column>
                <p-column header="QTY Sisa">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qty_sisa}}
                    </ng-template>
                </p-column>
                <p-column header="QTY Masuk">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <input type="number" style="width: 70px;" [(ngModel)]="rowData.qty_masuk" (blur)="validqtymasuk(rowData)"/>
                    </ng-template>
                </p-column>
                <p-column header="Satuan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.satuan}}
                    </ng-template>
                </p-column>
                <p-column header="Batch Barang">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <input type="text" style="width: 70px;" [(ngModel)]="rowData.no_batch" />
                    </ng-template>
                </p-column>
                <p-column header="Tanggal Kadaluarsa" [style]=" {'overflow':'visible' }">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <p-calendar inputId="field_tgl_exp" name="input_tgl_exp" [(ngModel)]="rowData.tgl_exp"
                            dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                            appendTo="body"></p-calendar>
                    </ng-template>
                </p-column>
                <p-column header="Halal Kadaluarsa" [style]=" {'overflow':'visible' }">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <p-calendar inputId="field_tgl_exphal" name="input_tgl_exphal" [(ngModel)]="rowData.tgl_exphal"
                            dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                            appendTo="body"></p-calendar>
                    </ng-template>
                </p-column>
                <p-column header="Keterangan" [style]=" {'overflow':'visible' }">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <input type="number" style="width: 70px;" [(ngModel)]="rowData.keterangan" />
                    </ng-template>
                </p-column>
            </p-dataTable>
            <div class="ui-g-12">
                <div class="btn-group flex-btn-group-container">
                    <button pButton type="submit" label="Simpan" icon="fa-save"
                        class="ui-button-primary flat-label-button" (click)="createBBM()">
                    </button>
                    <button pButton label="Kembali" class="ui-button-primary flat-label-button"
                        (click)="backMainPage()">
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>
<div style="margin-top: 100px;"></div>
<div style="margin-bottom: 100px;"></div>
<jhi-alert></jhi-alert>
<p-dialog [(visible)]="newModal" modal="true" [width]="700">
    <p-header>
        Cari Nomor PO
    </p-header>
    <form name="selectForm" role="form" novalidate #editForm="ngForm">
        <!-- <div class="row"> -->
        <div class="col-sm-12">
            <!-- <form name="searchForm" class="form-inline"> -->
            <div class="input-group w-100 mt-3">
                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                    name="currentSearch" placeholder="Cari Nomor PO">
                <button class="input-group-addon btn btn-info" (click)="cariPOSearch(currentSearch)">
                    <span class="fa fa-search"></span>
                </button>
                <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                    <span class="fa fa-trash-o"></span>
                </button>
            </div>
            <!-- </form> -->
        </div>
        <!-- </div> -->
        <div class="modal-body">
            <p-dataTable [value]="purchasings" [editable]="true" [totalRecords]="totalItemspo" [responsive]="true"
                [lazy]="true" totalRecords="totalItemspo" dataKey="idpurchasing" expandableRows="false"
                sortMode="multiple" [(selection)]="selectedpo">
                <p-header>
                </p-header>
                <p-column selectionMode="single" [style]="{'width':'38px'}">
                </p-column>
                <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="Nomor PO">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.nopurchasing}}
                    </ng-template>
                </p-column>

                <p-column header="Suplier">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.suplier.nm_supplier}}
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </form>
    <p-footer>
        <div>
            <button pButton type="submit" label="Pilih" icon="fa-save" class="ui-button-primary flat-label-button"
                (click)="pilihPO()">
            </button>
        </div>
    </p-footer>
</p-dialog>
<p-confirmDialog></p-confirmDialog>